------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity Counter1 is
    Port ( Clk,
			  Clear,
			  Reset : in  STD_LOGIC;
           Ld : 	 out STD_LOGIC_VECTOR (7 downto 0));
end Counter1;

architecture Behavioral of Counter1 is
	Signal  Q: STD_LOGIC_VECTOR (7 downto 0) := "00000000";
begin
   Ld <= Q;
   
   PROCESS( Clk, Clear)
	BEGIN
		if Clear='1' then
			Q <= (others => '0');
			
		elsif Rising_edge( Clk) then
			Q <= Q+1;
			
			if Reset='1' then
				Q <= (others => '0');
			end if;
		end if;
	END PROCESS;

end Behavioral;

